<template>
  <div
    class="d-flex flex-column items-center content-center my-12x"
    :class="`h-min-${minHeight}`"
  >
    <img src="@/assets/images/search-no-results.svg" alt="No Results" />
    <h3 class="mt-6x">{{ title }}</h3>
    <p class="mt-2x">{{ message }}</p>
  </div>
</template>

<script>
export default {
  name: 'CommonSearchNoResults',
  props: {
    message: {
      type: String,
      default: '',
    },
    title: {
      type: String,
      default: '',
    },
    minHeight: {
      type: Number,
      default: 360,
    },
  },
}
</script>
